<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (13.0.2) on Sun Feb 23 18:27:39 CET 2020 -->
<title>principal</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-02-23">
<meta name="description" content="declaration: class: principal">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<h1 title="Class principal" class="title">Class principal</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">principal</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">principal</span>
extends java.lang.Object</pre>
<div class="block"><h2>Classe principal, es on estan tots el metodes i funcions</h2></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Raul Ramirez</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">principal</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LlenarVector(java.util.Scanner)">LlenarVector</a></span>&#8203;(java.util.Scanner&nbsp;n)</code></th>
<td class="colLast">
<div class="block">LlenarVector
 En aquest metode s'omple l'array amb el que treballarem</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="colLast">
<div class="block">main
 En el metode main es treballara amb les diferents clases y funcions</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MostrarResultado(float%5B%5D)">MostrarResultado</a></span>&#8203;(float[]&nbsp;array)</code></th>
<td class="colLast">
<div class="block">MostrarResultado
 Depenen de l'opcio tindrem un resultat o un altre.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TreballarDates(float%5B%5D)">TreballarDates</a></span>&#8203;(float[]&nbsp;array)</code></th>
<td class="colLast">
<div class="block">TreballarDates
 En cas d'haver escollit l'opcio dates, aquest metode serveix per veure la diferencia en dies d'una data a una altre</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">principal</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">principal</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="main(java.lang.String[])">main</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">main</span>&#8203;(<span class="arguments">java.lang.String[]&nbsp;args)</span>
                 throws <span class="exceptions">java.text.ParseException</span></div>
<div class="block">main
 En el metode main es treballara amb les diferents clases y funcions</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - Creat automaticamente</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.text.ParseException</code> - Senyal que s'ha arribat a un error inesperadament al analitzar</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="LlenarVector(java.util.Scanner)">LlenarVector</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">LlenarVector</span>&#8203;(<span class="arguments">java.util.Scanner&nbsp;n)</span>
                        throws <span class="exceptions">java.text.ParseException</span></div>
<div class="block">LlenarVector
 En aquest metode s'omple l'array amb el que treballarem</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>n</code> - Objecte scanner per reutilitzar Scanner de la classe anterior</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>result</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.text.ParseException</code> - Senyal que s'ha arribat a un error inesperadament al analitzar</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="TreballarDates(float[])">TreballarDates</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">TreballarDates</span>&#8203;(<span class="arguments">float[]&nbsp;array)</span>
                          throws <span class="exceptions">java.text.ParseException</span></div>
<div class="block">TreballarDates
 En cas d'haver escollit l'opcio dates, aquest metode serveix per veure la diferencia en dies d'una data a una altre</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>array</code> - Es pasa array de bools de la classe LlenarVector</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>dies Numero de dies</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.text.ParseException</code> - Senyal que s'ha arribat a un error inesperadament al analitzar</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="MostrarResultado(float[])">MostrarResultado</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">MostrarResultado</span>&#8203;(<span class="arguments">float[]&nbsp;array)</span>
                             throws <span class="exceptions">java.text.ParseException</span></div>
<div class="block">MostrarResultado
 Depenen de l'opcio tindrem un resultat o un altre. Diferenciador si tens presencialitat o semipresencialitat</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>array</code> - el array de la funcio LlenarArray</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.text.ParseException</code> - Senyal que s'ha arribat a un error inesperadament al analitzar</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
